Loading...
Searching...
No Matches
BALL::SESComputer Class Reference
Molecular Modeling » Molecular Structure » Molecular Surface Computation

`#include <BALL/STRUCTURE/solventExcludedSurface.h>`

## Public Member Functions

Constructors and Destructors
| SESComputer ()
| SESComputer (SolventExcludedSurface *ses)
virtual | ~SESComputer ()

## Accessors

SolventExcludedSurface * | ses_
HashGrid3< Index > | vertex_grid_
void | run ()

## Detailed Description

Generic SESComputer Class.

Definition at line 317 of file solventExcludedSurface.h.

## Constructor & Destructor Documentation

## SESComputer() [1/2]

BALL::SESComputer::SESComputer | ( |  | ) |

Default constructor. This method creates a new SESComputer object.

## SESComputer() [2/2]

BALL::SESComputer::SESComputer | ( | SolventExcludedSurface * | ses | ) |

Detailed constructor

## ~SESComputer()

virtual BALL::SESComputer::~SESComputer | ( |  | ) |

virtual

Destructor. As there are no dynamic data structures, nothing happens.

## Member Function Documentation

## run()

void BALL::SESComputer::run | ( |  | ) |

Computes the solvent excluded surface

Exceptions

  BALL::Exception::GeneralException |

## Member Data Documentation

## ses_

SolventExcludedSurface* BALL::SESComputer::ses_

protected

Definition at line 444 of file solventExcludedSurface.h.

## vertex_grid_

HashGrid3<Index> BALL::SESComputer::vertex_grid_

protected

Definition at line 447 of file solventExcludedSurface.h.